﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using Telerik.Web.UI;


public partial class _Default : System.Web.UI.Page
{
    protected void RadGrid1_NeedDataSource(object source, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        List<Customer> dataSource = new List<Customer>();
        for (int i = 0; i < 50; i++)
        {
            dataSource.Add(new Customer()
            {
                CustomerID="ID"+i.ToString(),
                CompanyName="Company"+i.ToString(),
                ContactName="Name"+i.ToString(),
                Address="Address"+i.ToString(),
                ContactTitle="Title"+i.ToString(),
                PostalCode=i.ToString(),
            });
        }
        RadGrid1.DataSource = dataSource;
    }
   
    protected void RadGrid1_ItemCommand(object sender, GridCommandEventArgs e)
    {
        if (e.CommandName == "ExportToExcel")
        {
            RadGrid1.MasterTableView.Columns.Add(new GridBoundColumn()
            {
                UniqueName="currentDate",
                HeaderText = "currentDate"
            });
            RadGrid1.Rebind();
        }
    }
    protected void RadGrid1_ItemDataBound(object sender, GridItemEventArgs e)
    {
        GridDataItem item = e.Item as GridDataItem;
        if (item != null && item.OwnerTableView.GetColumnSafe("currentDate")!=null)
        {
            item["currentDate"].Text = DateTime.Now.ToString();
        }
    }
}

public class Customer
{
    public string CustomerID { get; set; }
    public string CompanyName { get; set; }
    public string ContactName { get; set; }
    public string ContactTitle { get; set; }
    public string Address { get; set; }
    public string PostalCode { get; set; }

}




 

